<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:strip-space elements="*"/>
	<xsl:output method="html" indent="yes" encoding="utf-8"/>
	
	<xsl:template name="MESSAGE-FORM-FIELDS">
		<table width="100%" border="0">
			<tr>
				<td>
					<xsl:apply-templates select="CONTROL[@NAME='author']" mode="TITLE-LEFT">
						<xsl:with-param name="controlClass">sb-control-input-input</xsl:with-param>
						<xsl:with-param name="require">on</xsl:with-param>
						<xsl:with-param name="onChange">self.sbApplyChangesObject.registerChange()</xsl:with-param>
					</xsl:apply-templates>
				</td>
			</tr>
			<tr>
				<td>
					<xsl:apply-templates select="CONTROL[@NAME='email']" mode="TITLE-LEFT">
						<xsl:with-param name="controlClass">sb-control-input-input</xsl:with-param>
						<xsl:with-param name="onChange">self.sbApplyChangesObject.registerChange()</xsl:with-param>
					</xsl:apply-templates>
				</td>
			</tr>
			<tr>
				<td>
					<xsl:apply-templates select="CONTROL[@NAME='url']" mode="TITLE-LEFT">
						<xsl:with-param name="controlClass">sb-control-input-input</xsl:with-param>
						<xsl:with-param name="onChange">self.sbApplyChangesObject.registerChange()</xsl:with-param>
					</xsl:apply-templates>
				</td>
			</tr>
			<tr>
				<td style="height: 100%;" valign="top">
					<xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/MESSAGE"/>
						<span style="color:Red; width: 10px;" id="message_asterix">&#160;*</span>
					<br/>
					<xsl:apply-templates select="WYSIWYG">
						<!--<xsl:with-param name="height">95%</xsl:with-param>-->
					</xsl:apply-templates>
				</td>
			</tr>
			<tr>
				<td>
					<xsl:call-template name="MODULE-MODAL-FORM-OK-CANCEL-BUTTONS"/>
				</td>
			</tr>
		</table>
	</xsl:template>
	
	<xsl:template match="MESSAGE-FORM">
	</xsl:template>	
	
	<xsl:template match="MESSAGE-FORM" mode="initAfterBody">
		<!--<xsl:call-template name="MODULE-MODAL-FORM" />-->
		<xsl:call-template name="MODAL-FORM">
			<xsl:with-param name="formName">modalForm</xsl:with-param>
			<xsl:with-param name="formTitle" select="/SITEBUILDER-PAGE/LOCALE/FORM-TITLE"/>
			<!--<xsl:with-param name="helpHint" select="/SITEBUILDER-PAGE/LOCALE/HELP-HINT"/>-->
			<!--<xsl:with-param name="closeHint" select="@CLOSE-HINT"/>-->
			<xsl:with-param name="additionalFormStyle">width: 650px; height: 420px;</xsl:with-param>
			<xsl:with-param name="content" select="current()" />
			<xsl:with-param name="onCloseAction">sbNavigationObject.go();</xsl:with-param>
		</xsl:call-template>
		
	</xsl:template>	
		
</xsl:stylesheet>	